//此乃本模块与后台交互的方法接口部分
var jwAppPortletModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppPortletModel.prototype = BusinessObject;

//插入portlet模板数据
jwAppPortletModel.prototype.insertPTemplate = function(){};
//修改portlet模板数据
jwAppPortletModel.prototype.updatePTemplate = function(){};
//删除portlet模板数据
jwAppPortletModel.prototype.deletePTemplate = function(){};

//插入用户自定义模板数据
jwAppPortletModel.prototype.insertPSetup = function(){};
//修改用户自定义模板数据
jwAppPortletModel.prototype.updatePSetup = function(){};
//删除用户自定义模板数据
jwAppPortletModel.prototype.deletePSetup = function(){};

//portlet模板数据_分页
jwAppPortletModel.prototype.listPTemplate = function(){};
//portlet模板所有数据
jwAppPortletModel.prototype.listAllPTemplate = function(){};
jwAppPortletModel.prototype.listAllPTemplate_takeContent = function(){};
//portal内容发布类型树
jwAppPortletModel.prototype.listPTemplateTree=function(){};
//portlet模板所有本人数据
jwAppPortletModel.prototype.listAllPMyTemplate = function(){};
//用户自定义模板数据_分页
jwAppPortletModel.prototype.listPSetup = function(){};
//用户自定义模板所有数据
jwAppPortletModel.prototype.listAllPSetup = function(){};
//用户自定义样式列表数据
jwAppPortletModel.prototype.listStyle = function(){};

//URL数据抓取
jwAppPortletModel.prototype.urlData = function(){};
//判断用户是否在莫一权限内
jwAppPortletModel.prototype.showFunc= function(){};
//获取基础应用映射
jwAppPortletModel.prototype.listBaseApps=function(){};
//创建一个数据操作对象，然后再后续使用
jwAppPortletModel.jwAppsPortletActAction = new jwAppPortletModel("json").delegate("jwAppsPortletAct");
//创建一个数据获取对象，然后再后续使用
jwAppPortletModel.jwAppsPortletDataAction = new jwAppPortletModel("json").delegate("jwAppsPortletData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
